Bug 225364 - Review Request: perl-App-CLI - Dispatcher module for command line interface programs
Review Request: perl-App-CLI - Dispatcher module for command line interface p...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2007-01-30 00:51 EST by Ian Burrell
Modified: 2008-06-12 11:59 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-13 16:32:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ian Burrell 2007-01-30 00:51:31 EST
Spec URL: http://znark.com/fedora/perl-App-CLI.spec
SRPM URL: http://znark.com/fedora/perl-App-CLI-0.07-1.src.rpm
Description: App::CLI dispatches CLI (command line interface) based commands into
command classes. It also supports subcommand and per-command options.

It is a requirement for SVK 2.0.
Comment 1 Ralf Corsepius 2007-01-30 02:22:25 EST
Please remove this from your spec:
Requires:       perl(Locale::Maketext::Simple)

It is redundant to rpm's automatic requires resultion and causes the rpm to
contain a duplicate "Requires: perl(Locale::Maketext::Simple)"
Comment 2 Ian Burrell 2007-01-30 12:35:15 EST
Remove explicit requires.

Spec URL: http://znark.com/fedora/perl-App-CLI.spec
SRPM URL: http://znark.com/fedora/perl-App-CLI-0.07-2.src.rpm
Comment 3 Parag AN(पराग) 2007-02-09 00:09:51 EST
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream.
8981b0628874bb7e83b00b00e58a7259  App-CLI-0.07.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Dose owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Provides: perl(App::CLI) = 0.07 perl(App::CLI::Command)
perl(App::CLI::Command::Help)
+ make test
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'inc', 'blib/lib', 'blib/arch')" t/1basic.t
t/1basic....ok
All tests successful.
Files=1, Tests=8,  0 wallclock secs ( 0.06 cusr +  0.01 csys =  0.07 CPU)

APPROVED.
Comment 4 Ian Burrell 2007-02-13 16:32:42 EST
Built for FC-5, FC-6, devel.
Comment 5 Ian Burrell 2008-06-11 20:21:20 EDT
Package Change Request
======================
Package Name: perl-App-CLI
New Branches: EL-4 EL-5
Comment 6 Kevin Fenzi 2008-06-12 11:59:25 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.